/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\BagOfRareGems.cs
Lines of code: 44
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BagOfRareGems : Bag
	{
		[Constructable]
		public BagOfRareGems() : this( 10 )
		{
		}

		[Constructable]
		public BagOfRareGems( int amount )
		{
			for ( int j = 0; j < amount; j++ )
			{
				switch ( Utility.Random( 8 ))
				{                                   
					case 0: DropItem( new PerfectEmerald()); break;   
					case 1: DropItem( new BlueDiamond()); break;
					case 2: DropItem( new DarkSapphire()); break;
					case 3: DropItem( new EcruCitrine()); break;    
					case 4: DropItem( new BrilliantAmber()); break;   
					case 5: DropItem( new WhitePearl()); break;  
					case 6: DropItem( new FireRuby()); break;
					case 7: DropItem( new Turquoise()); break;    
				}		
			}
		}

		public BagOfRareGems( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}